{ config, lib, ... }:
{
  options.home = with lib; {
    guifull.enable = mkEnableOption "Enable most other GUI profiles";

    desktop.enable = mkEnableOption "Desktop programs and services";
    gaming.enable = mkEnableOption "Gaming apps and programs";
    production.enable = mkEnableOption "Apps for visual productivity";

    school.enable = mkEnableOption "Apps for school and college";
  };

  config.home = lib.mkIf config.home.guifull.enable {
    desktop.enable = true;
    gaming.enable = true;
    production.enable = true;
  };
}
