{ config, lib, pkgs, ... }:
{
  config = lib.mkIf config.home.gaming.enable {
    home = {
      packages = with pkgs; [
        heroic
        prismlauncher
        steam
        steam-run-free
      ];
      persistence."${config.xdg.userDirs.extraConfig.XDG_PERSIST_DIR}".directories =
        with lib; with config.home; with config.xdg; [
          "games/${removePrefix "${homeDirectory}/" configHome}/heroic"
          "games/${removePrefix "${homeDirectory}/" dataHome}/PrismLauncher"
          "games/${removePrefix "${homeDirectory}/" dataHome}/Steam"
          "games/.steam"
        ];
    };

    nixpkgs.allowUnfreePackages = [
      "steam"
      "steam-unwrapped"
    ];
  };
}
