{ config, lib, pkgs, blender, ... }:
{
  nixpkgs.overlays = [ blender.overlays.default ];

  home = lib.mkIf config.home.production.enable {
    packages = with pkgs; [
      audacity
      blender_4_4
      krita
    ];
    persistence."${config.xdg.userDirs.extraConfig.XDG_PERSIST_DIR}".directories =
      with lib; with config.home; with config.xdg; [
        "data/${removePrefix "${homeDirectory}/" configHome}/audacity"
        "data/${removePrefix "${homeDirectory}/" configHome}/blender"
        "data/${removePrefix "${homeDirectory}/" dataHome}/krita"
      ];
  };
}
