{ config, lib, pkgs, ... }:
{
  home = lib.mkIf config.home.school.enable {
    packages = with pkgs; [
      freerdp
      globalprotect-openconnect
      gpauth
      remmina
      teams-for-linux
    ];

    shellAliases.seneca = "ssh jhampton1@matrix.senecapolytechnic.ca";

    persistence."${config.xdg.userDirs.extraConfig.XDG_PERSIST_DIR}".directories =
      with lib; with config.home; with config.xdg; [
        "school/${removePrefix "${homeDirectory}/" cacheHome}/gpclient"
        "school/${removePrefix "${homeDirectory}/" configHome}/com.yuezk.qt"
        "school/${removePrefix "${homeDirectory}/" configHome}/remmina"
        "school/${removePrefix "${homeDirectory}/" configHome}/teams-for-linux"
        "school/.vmware"
      ];
  };
}
