{ config, lib, ... }:
{
  programs.ssh = {
    enable = true;
    addKeysToAgent = "yes";
    compression = true;
    matchBlocks = with lib.hm.dag; {
      nixfox = {
        host = "*.nixfox.ca";
        user = config.home.username;
      };
      midas = entryAfter [ "nixfox" ] {
        hostname = "sv.nixfox.ca";
      };
      kitty = entryAfter [ "nixfox" ] {
        hostname = "sv.nixfox.ca";
        port = 2222;
      };
      prophet = entryAfter [ "nixfox" ] {
        hostname = "mx.nixfox.ca";
      };
    };
  };
}
