{ config, lib, ... }:
{
  config = lib.mkIf config.home.desktop.enable {
    dconf.settings = {
      "org/gnome/desktop/interface/color-scheme".color-scheme = "prefer-dark";
      "org/virt-manager/virt-manager/connections" = {
        autoconnect = [ "qemu:///system" ];
        uris = [ "qemu:///system" ];
      };
    };
    home.persistence."${config.xdg.userDirs.extraConfig.XDG_PERSIST_DIR}".directories =
      with lib; with config.home; with config.xdg;
      [ "state/${removePrefix "${homeDirectory}/" configHome}/dconf" ];
  };
}
