{ config, ... }:
{
  services.kanshi = {
    enable = config.home.desktop.enable;
    settings = [
      # Outputs
      {
        output = {
          criteria = config.displays.tower1;
          adaptiveSync = true;
          mode = "1920x1080@143.979996Hz";
        };
      }

      # Profiles
      {
        profile = {
          name = "tower";
          outputs = [
            {
              criteria = config.displays.tower1;
              position = "3840,405";
            }
            {
              criteria = config.displays.tower2;
              position = "1920,405";
            }
            {
              criteria = config.displays.tower3;
              position = "5760,0";
              transform = "90";
            }
            {
              criteria = config.displays.tower4;
              position = "0,405";
            }
          ];
        };
      }

      {
        profile = {
          name = "detritus";
          outputs = [
            {
              criteria = config.displays.detritus1;
              position = "0,0";
            }
            {
              criteria = config.displays.detritus2;
              position = "1920,0";
              scale = 0.85;
            }
          ];
        };
      }

      {
        profile = {
          name = "byod";
          outputs = [
            {
              criteria = "Dell Inc. DELL U3423WE H8LGMP3";
              scale = 1.15;
              status = "enable";
            }
            {
              criteria = "eDP-1";
              status = "disable";
            }
          ];
        };
      }

      {
        profile = {
          name = "docked";
          outputs = [
            {
              criteria = "*";
              status = "enable";
            }
            {
              criteria = "eDP-1";
              status = "disable";
            }
          ];
        };
      }

      {
        profile = {
          name = "deck";
          outputs = [
            {
              criteria = "Valve Corporation ANX7530 U 0x00000001";
              status = "enable";
              mode = "800x1280@59.99900";
              transform = "270";
              scale = 1.15;
            }
          ];
        };
      }

      {
        profile = {
          name = "undocked";
          outputs = [
            {
              criteria = "eDP-1";
              status = "enable";
            }
          ];
        };
      }
    ];
  };
}
